Get branding configuration for a status page.
GET
/status_page/{status_page_id}/branding/
const url = 'https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branding/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branding/ \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” status_page_id
required
string format: uuid
Status page identifier
Responses
Section titled “ Responses ”Branding configuration
Media type application/json
object
status_page_id
required
string
page_title
string | null
default_theme
required
string
logo_s3_key
string | null
favicon_s3_key
string | null
og_image_s3_key
string | null
primary_color
string | null
accent_color
string | null
header_text
string | null
footer_text
string | null
white_label
required
boolean
meta_description
string | null
custom_css
string | null
Example generated
{ "status_page_id": "example", "page_title": "example", "default_theme": "example", "logo_s3_key": "example", "favicon_s3_key": "example", "og_image_s3_key": "example", "primary_color": "example", "accent_color": "example", "header_text": "example", "footer_text": "example", "white_label": true, "meta_description": "example", "custom_css": "example"}Missing or invalid authentication
Status page not found
Internal server error